Bug 1258298 - [GSS](6.4.z) Wrong format of IPv6 addresses in log entries if https is used
[GSS](6.4.z) Wrong format of IPv6 addresses in log entries if https is used
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: IPv6 support (Show other bugs)
6.4.3
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.4.8
Assigned To: Chao Wang
Petr Kremensky
:
Depends On:
Blocks: eap648-payload
  Show dependency treegraph
 
Reported: 2015-08-30 22:40 EDT by Lyle Wang
Modified: 2017-01-17 07:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:36:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-5242 Minor Resolved Inconsistent format for IPv6 addresses in server log 2016-06-01 20:57 EDT
Red Hat Knowledge Base (Solution) 1593613 None None None 2016-05-17 19:14 EDT

  None (edit)
Description Lyle Wang 2015-08-30 22:40:29 EDT
Description of problem:
When https and IPv6 are used simultaneously, square brackets for IPv6 addresses are missed in some of log entries.


How reproducible:
Always


Steps to Reproduce:
1. Config SSL (example: https://access.redhat.com/solutions/229963)
2. Config IPv6 (example: https://docs.jboss.org/author/display/AS72/Interfaces+and+ports)
3. Start EAP and check the log


Actual results:
----------------------------------------
12:05:55,396 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-3) JBWEB003001: Coyote HTTP/1.1 initializing on : http-/0:0:0:0:0:0:0:1:8080
12:05:55,442 INFO  [org.apache.coyote.http11.Http11Protocol] (MSC service thread 1-3) JBWEB003000: Coyote HTTP/1.1 starting on: http-/0:0:0:0:0:0:0:1:8080
......
12:05:55,621 INFO  [org.jboss.as.remoting] (MSC service thread 1-6) JBAS017100: Listening on [::1]:4447
12:05:55,624 INFO  [org.jboss.as.remoting] (MSC service thread 1-8) JBAS017100: Listening on [::1]:9999
......
12:05:56,328 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015962: Http management interface listening on https://::1:9443/management
12:05:56,330 INFO  [org.jboss.as] (Controller Boot Thread) JBAS015952: Admin console listening on https://::1:9443
----------------------------------------

Expected results:
The format used for IPv6 addresses should be consistent and enclosed in square brackets


Additional info:
Similar bug was opened / fixed :  https://bugzilla.redhat.com/show_bug.cgi?id=900564
But it appears we still got some problem when https is enabled
Comment 4 Lyle Wang 2015-08-31 23:22:53 EDT
Upstream Jira [1] is created for those logs from Undertow:
"WFLYUT0006: Undertow HTTP listener default listening on /0:0:0:0:0:0:0:1:8080"


[1] - https://issues.jboss.org/browse/WFLY-5242
Comment 5 Chao Wang 2015-09-07 05:26:09 EDT
create bz1260566 for JBWEB log message format
Comment 6 Michael Cada 2016-03-07 12:59:15 EST
bz1260566 is verified on EAP 6.4.7.CP.CR2 - IPv6 address format is now correct in CoyoteLogger in jbossweb.

Square brackets are still missing in management interface and admin console log as mentioned in description.
Comment 8 Mike McCune 2016-03-28 18:24:40 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 10 Michael Cada 2016-05-10 04:17:32 EDT
Verified with EAP 6.4.8.CP.CR2
Comment 11 Petr Penicka 2017-01-17 07:36:15 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.